{
	"convert": [
		[
			"/ProcessPurchaseOrder",
			"=",
			"namespace"
		],
		[
			"ApplicationArea/Sender/LogicalID",
			"=",
			"44-843"
		],
		[
			"ApplicationArea/Receiver/LogicalID",
			"=",
			"logius"
		],
		[
			"ApplicationArea/CreationDateTime",
			"=",
			[
				"currentUtcString"
			]
		],
		[
			"DataArea/Process/ActionCriteria/ActionExpression[@actionCode=\"documenttype=\"]",
			"=",
			"inboundPurchaseOrder"
		],
		[
			"/ProcessPurchaseOrder/DataArea/PurchaseOrder",
			"=",
			[
				"po",
				[
					[
						"PurchaseOrderHeader/DocumentID/ID",
						"=",
						"po_purchase_order_id"
					],
					[
						"PurchaseOrderHeader/Note[@type=\"passThrough\" @status=\"comment1\"]",
						"=",
						"po_order_text"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"clientsReference2\"]/DocumentID/ID",
						"=",
						"po_our_reference"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"suppliersReference1\"]/DocumentID/ID",
						"=",
						"po_your_reference"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"suppliersReference2\"]/DocumentID/ID",
						"=",
						"??"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"invoiceNumber\"]/DocumentID/ID",
						"=",
						"??"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"supplierDeliverNote\"]/DocumentID/ID",
						"=",
						"XX"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"orderClass1\"]/DocumentID/ID",
						"=",
						"po_mark"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"orderClass1\"]/Description",
						"=",
						"??"
					],
					[
						"PurchaseOrderHeader/DocumentReference[@type=\"orderClass2\"]/DocumentID/ID",
						"=",
						"XX"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/ID",
						"=",
						"po_supplier_id"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/AttentionOfName",
						"=",
						"su_name"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CareOfName",
						"=",
						"su_name_2"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/AddressLine[@sequence=\"1\"]",
						"=",
						"su_address"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CityName",
						"=",
						"su_post_office"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CountrySubDivisionCode",
						"=",
						"??"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/CountryCode",
						"=",
						"su_country"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"supplier\"]/Contact/Address/PostalCode",
						"=",
						"su_post_code"
					],
					[
						"PurchaseOrderHeader/Party[@role=\"warehouse\"]/PartyIDs/ID",
						"=",
						"??"
					],
					[
						"PurchaseOrderHeader/CarrierParty/Contact/Address/ID",
						"=",
						"XX"
					],
					[
						"PurchaseOrderHeader/CarrierParty/Contact/Address/Type",
						"=",
						"XX"
					],
					[
						"PurchaseOrderHeader/CarrierParty/Contact/Address/Status/Code",
						"=",
						"XX"
					],
					[
						"PurchaseOrderHeader/TransportationTerm/FreightTermCode",
						"=",
						"??"
					],
					[
						"PurchaseOrderHeader/TransportationTerm/Description[@type=\"freightTermText\"]",
						"=",
						"po_term_of_delivery"
					],
					[
						"PurchaseOrderHeader/OrderDateTime",
						"=",
						"po_delivery_date"
					],
					[
						"/ProcessPurchaseOrder/DataArea/PurchaseOrder/PurchaseOrderLine",
						"=",
						[
							"por",
							[
								[
									"LineNumber",
									"=",
									"por_row_number"
								],
								[
									"Note[@type=\"arrivalNote\"]",
									"=",
									"??"
								],
								[
									"Note[@type=\"passThrough\" @status=\"comment1\"]",
									"=",
									"??"
								],
								[
									"DocumentReference[@type=\"customersReference1\"]/DocumentID/ID",
									"=",
									"??"
								],
								[
									"DocumentReference[@type=\"rowStatus\"]/Status/Reason",
									"=",
									"XX"
								],
								[
									"Item/ItemID/ID",
									"=",
									"por_product_id"
								],
								[
									"Item/SupplierItemID/ID",
									"=",
									"por_supplier_material_code"
								],
								[
									"Item/Description[@type=\"itemName\"]",
									"=",
									"por_explanation"
								],
								[
									"Item/Classification[@type=\"customStatus\"]/Type",
									"=",
									"XX"
								],
								[
									"Item/Classification[@type=\"qualityCheckStatus\"]/Type",
									"=",
									"XX"
								],
								[
									"Item/Classification[@type=\"quarantineStatus\"]/Type",
									"=",
									"XX"
								],
								[
									"Item/CountryOfOriginCode",
									"=",
									"??"
								],
								[
									"Item/Packaging/Dimensions/WeightRange/MinimumWeightMeasure",
									"=",
									"XX"
								],
								[
									"SerializedLot/Lot/LotIDs/ID[@sequenceName=\"supplier\"]",
									"=",
									"??"
								],
								[
									"SerializedLot/Lot/LotIDs/ID[@sequenceName=\"crossDocking\"]",
									"=",
									"XX"
								],
								[
									"SerializedLot/Lot/EffectiveTimePeriod/EndDateTime",
									"=",
									"??"
								],
								[
									"SerializedLot/Lot/Quantity[@unitCode=\"PCE\"]",
									"=",
									"por_order_amount"
								],
								[
									"SerializedLot/Lot/Disposition/Code",
									"=",
									"??"
								],
								[
									"SerializedLot/Lot/Disposition/Description",
									"=",
									"XX"
								],
								[
									"SerializedLot/Lot/UserArea/DocumentReference/Quantity[@type=\"qualityCheck\"]",
									"=",
									"XX"
								],
								[
									"SerializedLot/Lot/UserArea/DocumentReference/Quantity[@type=\"maxAllowed\"]",
									"=",
									"XX"
								],
								[
									"SerializedLot/Lot/UserArea/DocumentReference[@type=\"crossDockingType\"]/DocumentID/ID",
									"=",
									"XX"
								]
							]
						]
					]
				]
			]
		]
	],
	"namespace": "xmlns=\"http://www.openapplications.org/oagis/9\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" languageCode=\"en-US\" releaseID=\"release\" systemEnvironmentCode=\"Production\" versionID=\"release\" xsi:schemaLocation=\"http://www.openapplications.org/oagis/9 http://distribution.logiasoftware.fi/public/oagis/schema/9_5_1/BODs/ProcessPurchaseOrder/ProcessPurchaseOrder.xsd\""
}